function show(type)
***REMOVED***
    count = 0;
    for (var key in methods) ***REMOVED***
        var row = document.getElementById(key);
        if ((methods[key] &  type) != 0) ***REMOVED***
            row.style.display = '';
            row.className = (count++ % 2) ? rowColor : altColor;
        ***REMOVED***
        else
            row.style.display = 'none';
    ***REMOVED***
    updateTabs(type);
***REMOVED***

function updateTabs(type)
***REMOVED***
    for (var value in tabs) ***REMOVED***
        var sNode = document.getElementById(tabs[value][0]);
        var spanNode = sNode.firstChild;
        if (value == type) ***REMOVED***
            sNode.className = activeTableTab;
            spanNode.innerHTML = tabs[value][1];
        ***REMOVED***
        else ***REMOVED***
            sNode.className = tableTab;
            spanNode.innerHTML = "<a href=\"javascript:show("+ value + ");\">" + tabs[value][1] + "</a>";
        ***REMOVED***
    ***REMOVED***
***REMOVED***
